------------------------------------------------------------------------------------
--Name:  	baiseqingrenjie5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-02-17
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(436, 235)
local monster_0 = CppScriptMgr:AddPlayer(466, 435, 238, "", 0, 0)
local Player_1 = CppScriptMgr:AddSimplePlayer(9750, 441, 238, "", 0, 0)
Player_1:SetDir(0)
Player_1:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(1000)
local Effect_1 = CppScriptMgr:AddEffect("zf2-e233", 440, 241, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_2 = CppScriptMgr:QueryHero()
Player_2:SetDir(5)
Player_2:SetPos(440, 241)
Player_2:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("It hurts! You hit so hard!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("Sorry. You are?", 1000)
Player_2:SetAction(200)
CppScriptMgr:WaitMilSec(990)
Player_1:Say("I am witch living in the forest.", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("I haven`t seen a human for a long time. What do you come for?", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("I come to borrow the Shining Carriage for Cinderella.", 1500)
CppScriptMgr:WaitMilSec(1480)
Player_2:SetAction(190)
Player_2:Say("Cinderella wants to ride in your Shining Carriage to meet her prince.", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("I know her, a poor kid.", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("OK. You can use my carriage.", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("Drive the carriage to pick up Cinderella now.", 1500)
CppScriptMgr:WaitMilSec(1470)
Player_2:SetAction(200)
Player_2:Say("Thanks.", 1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetDarkScreen(1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetViewPosByCell(392, 404)
Player_2:SetPos(404, 415)
Player_2:SetDir(5)
local Player_4 = CppScriptMgr:AddSimplePlayer(1056546, 392, 404, "", 0, 0)
Player_4:SetDir(6)
Player_4:SetMount(205008)
Player_4:SetCtrlMapView(1)
Player_4:RunTo(412, 404)
CppScriptMgr:WaitMilSec(670)
Player_2:SetAction(190)
CppScriptMgr:WaitMilSec(320)
Player_4:Say("I can finally meet my prince!", 1500)
CppScriptMgr:WaitMilSec(1460)
Player_2:SetAction(190)
Player_2:Say("You will have a perfect night!", 1500)
CppScriptMgr:WaitMilSec(2000)